bin-packing.hh File Reference
`#include <gecode/int.hh>`
`#include <gecode/int/bin-packing/propagate.hpp>`
`#include <gecode/int/bin-packing/conflict-graph.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Int::BinPacking::Item
| Item combining bin and size information. More...
class | Gecode::Int::BinPacking::SizeSet
| Size sets. More...
class | Gecode::Int::BinPacking::SizeSetMinusOne
| Size sets with one element discarded. More...
class | Gecode::Int::BinPacking::Pack
| Bin-packing propagator. More...
class | Gecode::Int::BinPacking::ConflictGraph
| Graph containing conflict information. More...
class | Gecode::Int::BinPacking::ConflictGraph::NodeSet
| Sets of graph nodes. More...
class | Gecode::Int::BinPacking::ConflictGraph::Node
| Class for node in graph. More...
class | Gecode::Int::BinPacking::ConflictGraph::Nodes
| Iterator over node sets. More...
class | Gecode::Int::BinPacking::ConflictGraph::Clique
| Clique information. More...

## Namespaces

namespace | Gecode::Int::BinPacking
| Bin-packing propagators
namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Int
| Finite domain integers.

## Functions

bool | Gecode::Int::BinPacking::operator== (const Item &i, const Item &j)
| Whether two items are the same.
bool | Gecode::Int::BinPacking::operator!= (const Item &i, const Item &j)
| Whether two items are not the same.
bool | Gecode::Int::BinPacking::operator< (const Item &i, const Item &j)
| Order, also for sorting according to size.